Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class HibernateBuildManager

    java.lang.Object
      com.atlassian.bamboo.build.HibernateBuildManager

All Implemented Interfaces:
  BuildManager

    public class HibernateBuildManager

extends Object
implements BuildManager

A pisspoor build manager. It currently delegates all its methods to the BambooContainer

Constructor Summary
`HibernateBuildManager(BuildEventNotifier buildEventNotifier, ErrorHandler errorHandler)`

Method Summary
`void` | `addBuildResults(Build build, BuildResults buildResults)`
`void` | `addChildBuild(Build build, String childBuildKey)`
`void` | `createBuild(Build build, BuildConfiguration buildConfiguration)` Save a new build object with the passed buildConfiguration
`void` | `deleteBuild(Build build)` Removes the build from system
`void` | `deleteBuildResults(Build build, long buildNumber)`
`void` | `deleteProject(Project project)` Removes the project from the system
`void` | `executeBuild(Build build, ReasonForBuild reasonForBuild)` Instruct Bamboo to build the given build.
`Collection` | `getAllBuilds()` Returns a collection of `Build` objects
`Collection` | `getAllProjects()`
`Build` | `getBuildById(long id)`
`Build` | `getBuildByKey(String key)` Returns the build given a key
`Build` | `getBuildByProjectAndName(String projectKey, String buildName)`
`BuildResults` | `getBuildResults(Build build, long buildNumber)`
`BuildResults` | `getCurrentBuildingResult(Build build)` Method to get the current executing `BuildResultsImpl` object.
`Project` | `getProjectById(long id)`
`Project` | `getProjectByKey(String key)`
`Project` | `getProjectByName(String projectName)`
`boolean` | `isExistingBuildKey(String givenKey)` Is there an existing build with the same key?
`boolean` | `isExistingBuildKey(String projectKey, String buildKey)`
`boolean` | `isExistingBuildName(String buildName)` Returns true if the build name already exists
`boolean` | `isExistingBuildName(String projectKey, String buildName)`
`boolean` | `isExistingProjectKey(String projectKey)`
`boolean` | `isExistingProjectName(String projectName)`
`void` | `recordLastBuildNumber(Build build, BuildResultsSummary summary)`
`void` | `removeDependencies(String dependentBuildKey)` Removes a build from all dependency lists.
`int` | `retrieveNextBuildNumber(Build build)`
`void` | `saveBuild(Build build)` Perists a build
`void` | `saveBuildAndDefinition(Build build)`
`void` | `saveBuildConfig(Build build, BuildConfiguration buildConfiguration)` Save an existing build with the given build configuration
`void` | `setBuildDao(BuildDao buildDao)`
`void` | `setBuildDefinitionConverter(BuildDefinitionConverter buildDefinitionConverter)`
`void` | `setBuildDefinitionManager(BuildDefinitionManager buildDefinitionManager)`
`void` | `setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)`
`void` | `setPipelineManager(PipelineManager pipelineManager)`
`void` | `setProjectDao(ProjectDao projectDao)`
`void` | `updateNames(String projectName, String buildName, Build build)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateBuildManager

    public HibernateBuildManager(BuildEventNotifier buildEventNotifier,
                                 ErrorHandler errorHandler)

Method Detail

### removeDependencies

    public void removeDependencies(String dependentBuildKey)

  Description copied from interface: `BuildManager`
  Removes a build from all dependency lists. I.e. No builds will trigger the build specified.

  Specified by:
    `removeDependencies` in interface `BuildManager`
  Parameters:
    `dependentBuildKey` - - the name of the build that is triggered

### getBuildByKey

    public Build getBuildByKey(String key)

  Description copied from interface: `BuildManager`
  Returns the build given a key

  Specified by:
    `getBuildByKey` in interface `BuildManager`
  Parameters:
    `key` - - full key of the build. eg. BAM-MAIN null safe
  Returns:
    A `Build` if the key matches. Otherwise null

### getBuildById

    public Build getBuildById(long id)

  Specified by:
    `getBuildById` in interface `BuildManager`

### getAllBuilds

    public Collection getAllBuilds()

  Description copied from interface: `BuildManager`
  Returns a collection of `Build` objects

  Specified by:
    `getAllBuilds` in interface `BuildManager`
  Returns:
    all builds in the system `Collections.EMPTY_LIST` if none exists

### getProjectById

    public Project getProjectById(long id)

  Specified by:
    `getProjectById` in interface `BuildManager`

### isExistingBuildName

    public boolean isExistingBuildName(String buildName)

  Description copied from interface: `BuildManager`
  Returns true if the build name already exists

  Specified by:
    `isExistingBuildName` in interface `BuildManager`
  Parameters:
    `buildName` - name to check
  Returns:
    true if the build name already exists

### isExistingBuildKey

    public boolean isExistingBuildKey(String givenKey)

  Is there an existing build with the same key?

  Specified by:
    `isExistingBuildKey` in interface `BuildManager`
  Parameters:
    `givenKey` -
  Returns:
    true if another build exists with the givenKey

### isExistingProjectName

    public boolean isExistingProjectName(String projectName)

  Specified by:
    `isExistingProjectName` in interface `BuildManager`

### isExistingProjectKey

    public boolean isExistingProjectKey(String projectKey)

  Specified by:
    `isExistingProjectKey` in interface `BuildManager`

### isExistingBuildName

    public boolean isExistingBuildName(String projectKey,
                                       String buildName)

  Specified by:
    `isExistingBuildName` in interface `BuildManager`

### isExistingBuildKey

    public boolean isExistingBuildKey(String projectKey,
                                      String buildKey)

  Specified by:
    `isExistingBuildKey` in interface `BuildManager`

### executeBuild

    public void executeBuild(Build build,
                             ReasonForBuild reasonForBuild)

  Description copied from interface: `BuildManager`
  Instruct Bamboo to build the given build.

  Specified by:
    `executeBuild` in interface `BuildManager`
  Parameters:
    `build` - The build to execute
    `reasonForBuild` - the reason for building

### createBuild

    public void createBuild(Build build,
                            BuildConfiguration buildConfiguration)

  Description copied from interface: `BuildManager`
  Save a new build object with the passed buildConfiguration

  Specified by:
    `createBuild` in interface `BuildManager`
  Parameters:
    `build` - @NotNull
    `buildConfiguration` - @NotNull

### saveBuild

    public void saveBuild(Build build)

  Description copied from interface: `BuildManager`
  Perists a build

  Specified by:
    `saveBuild` in interface `BuildManager`
  Parameters:
    `build` - cannot be null

### saveBuildConfig

    public void saveBuildConfig(Build build,
                                BuildConfiguration buildConfiguration)

  Description copied from interface: `BuildManager`
  Save an existing build with the given build configuration

  Specified by:
    `saveBuildConfig` in interface `BuildManager`
  Parameters:
    `build` - @NotNull
    `buildConfiguration` - @NotNull

### saveBuildAndDefinition

    public void saveBuildAndDefinition(Build build)

  Specified by:
    `saveBuildAndDefinition` in interface `BuildManager`

### retrieveNextBuildNumber

    public int retrieveNextBuildNumber(Build build)

  Specified by:
    `retrieveNextBuildNumber` in interface `BuildManager`

### recordLastBuildNumber

    public void recordLastBuildNumber(Build build,
                                      BuildResultsSummary summary)

  Specified by:
    `recordLastBuildNumber` in interface `BuildManager`

### addChildBuild

    public void addChildBuild(Build build,
                              String childBuildKey)

  Specified by:
    `addChildBuild` in interface `BuildManager`

### getProjectByName

    public Project getProjectByName(String projectName)

  Specified by:
    `getProjectByName` in interface `BuildManager`

### getBuildByProjectAndName

    public Build getBuildByProjectAndName(String projectKey,
                                          String buildName)

  Specified by:
    `getBuildByProjectAndName` in interface `BuildManager`

### updateNames

    public void updateNames(String projectName,
                            String buildName,
                            Build build)

  Specified by:
    `updateNames` in interface `BuildManager`

### getAllProjects

    public Collection getAllProjects()

  Specified by:
    `getAllProjects` in interface `BuildManager`

### getProjectByKey

    public Project getProjectByKey(String key)

  Specified by:
    `getProjectByKey` in interface `BuildManager`

### deleteBuild

    public void deleteBuild(Build build)

  Description copied from interface: `BuildManager`
  Removes the build from system

  Specified by:
    `deleteBuild` in interface `BuildManager`
  Parameters:
    `build` - build

### deleteProject

    public void deleteProject(Project project)

  Description copied from interface: `BuildManager`
  Removes the project from the system

  Specified by:
    `deleteProject` in interface `BuildManager`
  Parameters:
    `project` - project

### addBuildResults

    public void addBuildResults(Build build,
                                BuildResults buildResults)

  Specified by:
    `addBuildResults` in interface `BuildManager`

### getBuildResults

    public BuildResults getBuildResults(Build build,
                                        long buildNumber)

  Specified by:
    `getBuildResults` in interface `BuildManager`

### deleteBuildResults

    public void deleteBuildResults(Build build,
                                   long buildNumber)

  Specified by:
    `deleteBuildResults` in interface `BuildManager`

### getCurrentBuildingResult

    public BuildResults getCurrentBuildingResult(Build build)

  Description copied from interface: `BuildManager`
  Method to get the current executing `BuildResultsImpl` object.

  Specified by:
    `getCurrentBuildingResult` in interface `BuildManager`
  Parameters:
    `build` -
  Returns:
    `BuildResultsImpl` object reprsenting the currently executing build.

### setPipelineManager

    public void setPipelineManager(PipelineManager pipelineManager)

### setBuildDefinitionConverter

    public void setBuildDefinitionConverter(BuildDefinitionConverter buildDefinitionConverter)

### setBuildDao

    public void setBuildDao(BuildDao buildDao)

### setProjectDao

    public void setProjectDao(ProjectDao projectDao)

### setBuildDefinitionManager

    public void setBuildDefinitionManager(BuildDefinitionManager buildDefinitionManager)

### setBuildResultsSummaryManager

    public void setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.